//+------------------------------------------------------------------+
//|                                                   MACD Alert.mq4 |
//|                                     Core time code by Nick Bilak |
//|                           Copyright  2007,ProFX Wealth Creation |
//|                                               v12_beta@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Annabelle Noelle"
#property link      "v12_beta@yahoo.com"
#property indicator_chart_window

extern int SlowSMA=12;
extern int FastSMA=26;
extern int SignalSMA=9;
extern int Shift=1;
extern bool Email=true;
extern bool Sound=true;
double s1[];

string Message="";
datetime Timestamp=0;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {
	double i;
   int m,s,k;
   double MACDCurr=iMACD(NULL,0,SlowSMA,FastSMA,SignalSMA,PRICE_CLOSE,MODE_MAIN,Shift);
   double MACDPre=iMACD(NULL,0,SlowSMA,FastSMA,SignalSMA,PRICE_CLOSE,MODE_MAIN,Shift+1);
   double MACDSigCurr=iMACD(NULL,0,SlowSMA,FastSMA,SignalSMA,PRICE_CLOSE,MODE_SIGNAL,Shift);
   double MACDSigPre=iMACD(NULL,0,SlowSMA,FastSMA,SignalSMA,PRICE_CLOSE,MODE_SIGNAL,Shift+1);

	  if (MACDCurr>MACDSigCurr && MACDPre<MACDSigPre && MACDCurr<0 && Timestamp != iTime(NULL,0,0))
	  {
	     Message = " "+Symbol()+" "+Period()+"minutes chart: Histogram crossed above! Possible buy";
	     if (Sound) Alert(Message); 
	     if (Email) SendMail ("Signal from 10point3 MACD ",TimeToStr(CurTime())+Message);
	     Timestamp = iTime(NULL,0,0);
	  } 

	  if (MACDCurr<MACDSigCurr && MACDPre>MACDSigPre && MACDCurr>0 && Timestamp != iTime(NULL,0,0))
	  {
	     Message = " "+Symbol()+" "+Period()+"minutes chart: Histogram crossed below! Possible sell";
	     if (Sound) Alert(Message); 
	     if (Email) SendMail ("Signal from 10point3 MACD ",TimeToStr(CurTime())+Message);
	     Timestamp = iTime(NULL,0,0);
	  }

      m=Time[0]+Period()*60-CurTime();
      i=m/60.0;
      s=m%60;
      m=(m-m%60)/60;

      ObjectDelete("time");
   
      if(ObjectFind("time") != 0)
      {
      ObjectCreate("time", OBJ_TEXT, 0, Time[0], Close[0]+ 0.0005);
      ObjectSetText("time", "                  <"+m+":"+s, 12, "Arial", Black);
      }
      else
      {
      ObjectMove("time", 0, Time[0], Close[0]+0.0005);
      }

      Comment("MACD Alert for 10p3v0.01 series\n", m + " minutes " + s + " seconds left to bar end");

   return(0);
  }
// the end.